package com.fs.pay.service;

import com.fs.common.core.domain.R;
import com.fs.pay.service.dto.*;

import java.util.Map;

public interface IPayService
{
    R upload(UploadDTO param);
    R openBusiness(OpenBusinessDTO param);
    R openQuery(OpenQueryDTO param);
    R queryFullBalance(QueryFullBalanceDTO param);
    void createOrder(CreatePayDTO createPayDTO);
    Map<String,String> payOrder(PayDTO payDTO);
    R queryPayOrder(PayQueryDTO payQueryDTO);
    R refundOrder(RefundDTO refundDTO);
}

